uk.gov.hmrc.ct.computations

# CP258

###
Related Docs: class CP258 | package computations

#### object CP258 extends Calculated[CP258, ComputationsBoxRetriever] with SummaryCalculator with Serializable

Linear Supertypes
Serializable, Serializable, SummaryCalculator, CtTypeConverters, Calculated[CP258, ComputationsBoxRetriever], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP258
2. Serializable
3. Serializable
4. SummaryCalculator
5. CtTypeConverters
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculate(fieldValueRetriever: ComputationsBoxRetriever): CP258

   Definition Classes
     CP258 → Calculated

6. #### def calculateNetTradingAndProfessionalProfits(cp256: CP256, cp257: CP257): CP258

   Definition Classes
     SummaryCalculator

7. #### def calculateProfitsAndGainsFromNonTradingLoanRelationships(cp43: CP43): CP259

   Definition Classes
     SummaryCalculator

8. #### def calculateTradeNetAllowancesForSummary(cp186: CP186, cp668: CP668, cp674: CP674, cp91: CP91, cp670: CP670): CP99

   Definition Classes
     SummaryCalculator

9. #### def calculateTradingLossesBroughtForwardForSummary(cp238: CP238, cp283b: CP283b): CP257

   Definition Classes
     SummaryCalculator

10. #### def calculateTradingLossesOfThisOrLaterAccountingPeriods(cp239: CP239): CP264

    Definition Classes
      SummaryCalculator

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

    Definition Classes
      CtTypeConverters

13. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

14. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

15. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

16. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from SummaryCalculator

### Inherited from CtTypeConverters

### Inherited from Calculated[CP258, ComputationsBoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped